<body>

<h3 class="titr">
  ایجاد تخفیف جدید
</h3>
<div class="container box-background">
  <div class="row field-form">
    <div class="col-xl-4 col-md-4 col-sm-12 col-12">
      <h6 class="sub-field-form">
        <h6>
          عمومی
        </h6>
      </h6>
      <select #selectG class="input-field">
        <option value="true">
          هست
        </option>
        <option value="false">
          نیست
        </option>
      </select>
    </div>
    <div class="col-xl-4 col-md-4 col-sm-12 col-12">
      <div class="sub-field-form">
        <h6>
          درصد
        </h6>
      </div>
      <input [(ngModel)]="newDiscount.percent" type="number" class="input-field">
    </div>
    <div class="col-xl-4 col-md-4 col-sm-12 col-12">
      <div class="sub-field-form">
        <h6>
          عنوان
        </h6>
      </div>
      <input [(ngModel)]="newDiscount.title" class="input-field">
    </div>

    <div class="container">
      <div class="row field-form">
        <div class="col-xl-6 col-md-6 col-sm-12 col-12">
          <h6 class="sub-field-form">
            <h6>
              تاریخ شروع
            </h6>
          </h6>
          <input [(ngModel)]="newDiscount.start_date" type="date" class="input-field">
        </div>

        <div class="col-xl-6 col-md-6 col-sm-12 col-12">
          <h6 class="sub-field-form">
            <h6>
              تاریخ پایان
            </h6>
          </h6>
          <input [(ngModel)]="newDiscount.end_date" type="date" class="input-field">
        </div>
      </div>
    </div>


    <button (click)="createDiscount()" class="edit-button">
      ثبت
    </button>
  </div>
</div>

<h3 class="titr">
  لیست تخفیف ها
</h3>


<div *ngFor="let dis of disList">
  <div class="container box-background">
    <div class="row field-form">
      <div class="col-xl-4 col-md-4 col-sm-12 col-12">
        <div align="left">
          <button (click)="deleteDiscount(dis)" class="delete-button">
            حذف
          </button>
        </div>
      </div>
      <div style="text-align: right" class="col-xl-4 col-md-4 col-sm-12 col-12">
        <div class="sub-field-form">
          <h6>
            عنوان
          </h6>
          {{dis.title}}
        </div>

        <div class="sub-field-form">
          <p>
            تاریخ پایان
          </p>
          {{dis.end_date}}
        </div>

      </div>
      <div style="text-align: right" class="col-xl-4 col-md-4 col-sm-12 col-12">
        <div class="sub-field-form">
          <h6>
            درصد
          </h6>
          {{dis.percent}}
        </div>

        <div class="sub-field-form">
          <p>
            تاریخ شروع
          </p>
          {{dis.start_date}}
        </div>
      </div>
    </div>
  </div>
</div>
</body>
